#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    int mat[3][n];
    int q;
    for(int i=1;i<=n-1;i++){
        for(int j=1;j<=2;j++){
           cin>>mat[j][i];
        }
    }
    int brnovcica[n+1];
    for(int i=1;i<=n;i++){
        cin>>brnovcica[i];
    }
    cin>>q;
    cout<<4;
}